VirtualBox

source: kBuild/vendor/grep/current/gnulib-tests/test-c-stack2.sh@ 3630

Last change on this file since 3630 was 3529, checked in by bird, 3 years ago

Imported grep 3.7 from grep-3.7.tar.gz (sha256: c22b0cf2d4f6bbe599c902387e8058990e1eee99aef333a203829e5fd3dbb342), applying minimal auto-props.

  • Property svn:executable set to *
File size: 1.1 KB
Line 
1#!/bin/sh
2
3tmpfiles=""
4trap 'rm -fr $tmpfiles' 1 2 3 15
5
6tmpfiles="t-c-stack2.tmp"
7
8# Sanitize exit status within a subshell, since some shells fail to
9# redirect stderr on their message about death due to signal.
10(${CHECKER} ./test-c-stack${EXEEXT} 1; exit $?) 2> t-c-stack2.tmp
11
12case $? in
13 77) if grep 'stack overflow' t-c-stack2.tmp >/dev/null ; then
14 if test -z "$LIBSIGSEGV"; then
15 echo 'cannot tell stack overflow from crash; consider installing libsigsegv' >&2
16 exit 77
17 else
18 echo 'cannot tell stack overflow from crash, in spite of libsigsegv' >&2
19 exit 1
20 fi
21 else
22 cat t-c-stack2.tmp >&2
23 exit 77
24 fi
25 ;;
26 1)
27 # Dereferencing NULL exits the program with status 1,
28 # so this test doesn't check the c-stack testing harness like it should.
29 # https://lists.gnu.org/r/grep-devel/2020-09/msg00034.html
30 cat t-c-stack2.tmp >&2
31 echo 'skipping test (perhaps gcc -fsanitize=undefined is in use?)'
32 exit 77;;
33 0) (exit 1); exit 1 ;;
34esac
35if grep 'program error' t-c-stack2.tmp >/dev/null ; then
36 :
37else
38 (exit 1); exit 1
39fi
40
41rm -fr $tmpfiles
42
43exit 0
Note: See TracBrowser for help on using the repository browser.

© 2025 Oracle Support Privacy / Do Not Sell My Info Terms of Use Trademark Policy Automated Access Etiquette